Bug 1282880 - if the ovirt-engine-setup-plugin-dockerc is present, engine-clenup will try to connect to docker also if we didn't deployed any container
if the ovirt-engine-setup-plugin-dockerc is present, engine-clenup will try t...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Setup.Engine (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ovirt-3.6.1
: 3.6.1
Assigned To: Simone Tiraboschi
Gonza
integration
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 12:23 EST by Simone Tiraboschi
Modified: 2015-12-16 07:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: if the ovirt-engine-setup-plugin-dockerc is present, engine-clenup will try to connect to docker also if we didn't deployed any container Consequence: it will fail if docker daemon is down Fix: try connecting to the docker daemon only if needed
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 07:21:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
ylavi: planning_ack+
sbonazzo: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 48690 master MERGED packaging: setup: on cleanup connecting to docker only if we deployed Never
oVirt gerrit 48691 ovirt-engine-3.6 MERGED packaging: setup: on cleanup connecting to docker only if we deployed Never

  None (edit)
Description Simone Tiraboschi 2015-11-17 12:23:53 EST
Description of problem:
If the ovirt-engine-setup-plugin-dockerc is present, engine-clenup will try to connect to docker also if we didn't deployed any container

Version-Release number of selected component (if applicable):
3.6.0

How reproducible:
100% 

Steps to Reproduce:
1. add ovirt-engine-setup-plugin-dockerc
2. run engine-setup, respond no to:
          Deploy Cinder container on this host (Yes, No) [Yes]: no
          Deploy Glance container on this host (Yes, No) [Yes]: no
3. run engine-cleanup

Actual results:
engine-cleanup will fail with:
[ INFO  ] Backing up PKI configuration and keys
[ ERROR ] Failed to execute stage 'Misc configuration': ('Connection aborted.', error(2, 'No such file or directory'))
if nobody started the docker daemon

Expected results:
engine-cleanup will try to connect docker only if really needed cause we deployed some container

Additional info:
Comment 1 Gonza 2015-11-25 11:34:14 EST
Verified with:
ovirt-engine-3.6.2-0.0.master.20151124181807.git6d4897e.fc22.noarch

[ INFO  ] Execution of cleanup completed successfully
Comment 2 Sandro Bonazzola 2015-12-16 07:21:54 EST
According to verification status and target milestone this issue should be fixed in oVirt 3.6.1. Closing current release.

Note You need to log in before you can comment on or make changes to this bug.